Bug 1766199 - API call to list a hostgroup by id misses compute_resource_id
Summary: API call to list a hostgroup by id misses compute_resource_id
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: API
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-28 14:53 UTC by Anton Nesterov
Modified: 2020-04-14 13:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:26:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1766155 unspecified NEW API call to list hostgroups does not list some attributes 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:26:12 UTC

Description Anton Nesterov 2019-10-28 14:53:40 UTC
Description of problem:
"GET https://$(hostname)//api/hostgroups/$(hg_id)" doesn't show all hostgroup attributes. At least compute_resource_id is missing. It is present in the GUI as "Deploy on" field.

Version-Release number of selected component (if applicable):
Satellite 6.5.2.1

How reproducible:
Deterministic

Steps to Reproduce:
1. Create a hostgroup with non-empty "Deploy on"
2. GET hostgroup through API:
# curl -u admin:<password> -H "Accept:  version=2, application/json" -H  "Content-Type: application/json" -k -X GET  https://$(hostname)/api/hostgroups/$(hg_id)

Actual results:
Hostgroup is listed, but compute_resource (maybe other attrs too) is missing

Expected results:
Hostgroup returned with all attributes


Additional info:
similar to BZ#1702676

Comment 3 Anton Nesterov 2019-10-30 14:21:55 UTC
Issue is also present in Satellite 6.6.0

But in Foreman 1.23.0 everything is fine.

Comment 4 Anton Nesterov 2019-10-30 14:27:08 UTC
To be precise:

Issue present in:
Satellite 6.5.2.1 (foreman-1.20.1.34-1.el7sat.noarch)
Satellite 6.6.0 (foreman-1.22.0.32-1.el7sat.noarch)

Issue is not present in:
Foreman 1.23.0 (foreman-1.23.0-1.el7.noarch)

Comment 6 Ondřej Pražák 2020-02-18 07:27:07 UTC
There are 'compute_resource_id' and 'compute_resource_name' attributes in API output for hostgroup in 6.7. Could QE verify?

Comment 9 Jitendra Yejare 2020-03-02 12:04:44 UTC
As per Reporter's acceptance in comment 8, Moving this bug to verified state.

Comment 12 errata-xmlrpc 2020-04-14 13:26:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.